<template>
  <div class="dark:bg-black-500 rounded-xl flex w-2/3 px-6 py-2 mb-8 font-sans bg-white shadow-xl">
    <div class="flex-auto px-2">
      <div class="flex flex-wrap items-center">
        <p class="dark:text-white flex-auto text-3xl font-semibold text-gray-700">
          {{ name }}
        </p>
        <div class="dark:text-gray-500 text-xs text-gray-500">
          {{ amount }}
        </div>
        <div class="font-extralight text-grey-700 dark:text-gray-300 flex-none w-full -mt-6 text-sm">
          {{ startDate }}
        </div>
      </div>
      <div class="flex items-center py-2">
        <span class="relative pr-1">
          <IconGithub class="w-4 h-4" />
        </span>
        <a :href="githubUrl" class="text-md dark:text-white text-black">Github</a>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    name: String,
    amount: String,
    startDate: String,
    githubUrl: String,
  },
}
</script>

<style></style>
